// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#ifndef FILEREADER_H_
#define FILEREADER_H_


#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <iostream>

#include <wx/wx.h>
#include <wx/xml/xml.h>


#include "InitValuesHolder.h"

#ifndef INITVALUESHOLDER_CLASS_
class InitValuesHolder;
#endif


#ifndef FILEREADER_CLASS_
#define FILEREADER_CLASS_

class FileReader
{
public:
	FileReader(int size);
	virtual ~FileReader();
	
	InitValuesHolder* initFromFile (wxFrame* parent);		
	
private:    
    int size;
    
    bool loadInitFile (wxString fileName, InitValuesHolder* holder);    
	
};

#endif


#endif /*FILEREADER_H_*/
