// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#ifndef FILEWRITER_H_
#define FILEWRITER_H_


#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <sstream>
#include <iostream>

#include <wx/wx.h>
#include <wx/xml/xml.h>

#include "Common.h"
#include "InitValuesHolder.h"


#ifndef INITVALUESHOLDER_CLASS_
class InitValuesHolder;
#endif


#ifndef FILEWRITER_CLASS_
#define FILEWRITER_CLASS_

class FileWriter
{
public:
	FileWriter();
	virtual ~FileWriter();
	
	void saveToFile (wxFrame* parent, InitValuesHolder* holder);
	
private:	
	bool saveInitFile (wxString fileName, InitValuesHolder* holder);	
	
};

#endif


#endif /*FILEWRITER_H_*/
