// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#ifndef COLUMN_H_
#define COLUMN_H_


#include "Element.h"

#ifndef GRID_CLASS
class Grid;
#endif

#ifndef ELEMENT_CLASS_
class Element;
#endif


#ifndef COLUMN_CLASS_
#define COLUMN_CLASS_

class Column : public Element
{
    
private:
    int number;
    
public:
    Column(int size, int number);
    void init (Grid* Grid);
    int getNumber();    
    virtual ~Column();
    
    virtual const char* getName();
};

#endif


#endif
