// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#ifndef DIFFICULTYCHOOSER_H_
#define DIFFICULTYCHOOSER_H_

#include <wx/wx.h>
#include <wx/dialog.h>
#include <wx/panel.h>

#include <wx/toolbar.h>


#ifndef MAINFRAME_CLASS_
class MainFrame;
#endif


#ifndef DIFFICULTYCHOOSER_CLASS_
#define DIFFICULTYCHOOSER_CLASS_


class DifficultyChooser : public wxDialog
{
public:
	DifficultyChooser(MainFrame* mainFrame);
	virtual ~DifficultyChooser();

	DECLARE_EVENT_TABLE()

protected:
    void OnEasy(wxCommandEvent& event);
    void OnDifficult(wxCommandEvent& event);

private:
    MainFrame* mainFrame;
    wxBoxSizer* vbox;

};

#endif


#endif /*DIFFICULTYCHOOSER_H_*/
