// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#include "Main.h"

#include "MainFrame.h"


wxIMPLEMENT_APP(SudokuApp);

SudokuApp::SudokuApp()
{
	logger = NULL;
}

bool SudokuApp::OnInit()
{    
    try 
    {
        logger = new wxLogStderr();
        delete wxLog::SetActiveTarget(logger);

        MainFrame *mainFrame = new MainFrame(wxT("Sudoku Laboratory - Jerome Kehrli"));
        mainFrame->Show(true);
    } 
    catch (SoldokuException* e)
    {
        std::cout << e->what() << std::endl;
        delete e;
        return false;
    }
    
    return true;
}

SudokuApp::~SudokuApp()
{
    //delete logger;
}
