// ============================================================================
//
// Copyright (c) 2010-2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


#ifndef ROW_H_
#define ROW_H_


#include "Element.h"

#ifndef ELEMENT_CLASS_
class Element;
#endif

#ifndef CELL_CLASS_
class Cell;
#endif

#ifndef GRID_CLASS_
class Grid;
#endif


#ifndef ROW_CLASS_
#define ROW_CLASS_

class Row : public Element
{
    
private:
    int size;
    int number;
    
public:
    Row(int size, int number);
    void init (Grid* Grid);
    int getNumber();
    int getSize();
    virtual ~Row();
    
    virtual const char* getName();
};

#endif


#endif
